AI bots
List your bots
The bots you own or steward, newest first, a page at a time. Follow meta.pagination.next_cursor until it is null.
Needs the we_bots.view permission.
GET
/
api
/
company
/
v2026-10
/
bots
List your bots
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/bots \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/bots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/bots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/bots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/bots"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/bots")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/bots")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bots": [
{
"id": "0192f3c4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"kind": "shared",
"name": "Order helper",
"description": "Follows up on unpaid orders.",
"avatar_emoji": null,
"avatar_background_color": null,
"avatar_character": null,
"status": "active",
"paused_reason": null,
"permission_keys": [
"orders.view"
],
"granted_by_admin_id": "0190a1b2-7c3d-7e4f-8a5b-6c7d8e9f0a1b",
"granted_at": "2026-10-21T15:32:08.000Z",
"lock_version": 1,
"owner": {
"id": "0190a1b2-7c3d-7e4f-8a5b-6c7d8e9f0a1b",
"name": "Patrick Reeves"
},
"recipient_id": 4812,
"relationship": "steward",
"can_change_limit": false,
"can_change_owner": false,
"created_at": "2026-10-21T15:32:08.000Z",
"updated_at": "2026-10-21T15:40:00.000Z"
}
],
"status": 200,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-21T15:32:08Z",
"pagination": {
"cursor": null,
"limit": 25,
"prev_cursor": null,
"next_cursor": null
}
}
}{
"message": "Invalid credentials."
}{
"message": "Not authorized."
}{
"error": {
"message": "Not found",
"details": {}
},
"status": 404,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-21T15:32:08Z"
}
}{
"error": {
"message": "Invalid parameters",
"details": {
"page": {
"cursor": [
"invalid cursor value"
]
}
}
},
"status": 422,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-21T15:32:08Z"
}
}Authorizations
The session token of an admin of your company. Company API, partner and droplet installation tokens are refused.
Query Parameters
Bots per page, 1 to 100. Defaults to 25.
Required range:
1 <= x <= 100A cursor from meta.pagination, to read another page.
⌘I
List your bots
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/bots \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/bots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/bots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/bots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/bots"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/bots")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/bots")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bots": [
{
"id": "0192f3c4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"kind": "shared",
"name": "Order helper",
"description": "Follows up on unpaid orders.",
"avatar_emoji": null,
"avatar_background_color": null,
"avatar_character": null,
"status": "active",
"paused_reason": null,
"permission_keys": [
"orders.view"
],
"granted_by_admin_id": "0190a1b2-7c3d-7e4f-8a5b-6c7d8e9f0a1b",
"granted_at": "2026-10-21T15:32:08.000Z",
"lock_version": 1,
"owner": {
"id": "0190a1b2-7c3d-7e4f-8a5b-6c7d8e9f0a1b",
"name": "Patrick Reeves"
},
"recipient_id": 4812,
"relationship": "steward",
"can_change_limit": false,
"can_change_owner": false,
"created_at": "2026-10-21T15:32:08.000Z",
"updated_at": "2026-10-21T15:40:00.000Z"
}
],
"status": 200,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-21T15:32:08Z",
"pagination": {
"cursor": null,
"limit": 25,
"prev_cursor": null,
"next_cursor": null
}
}
}{
"message": "Invalid credentials."
}{
"message": "Not authorized."
}{
"error": {
"message": "Not found",
"details": {}
},
"status": 404,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-21T15:32:08Z"
}
}{
"error": {
"message": "Invalid parameters",
"details": {
"page": {
"cursor": [
"invalid cursor value"
]
}
}
},
"status": 422,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-21T15:32:08Z"
}
}